#
# Conditinal build:
%bcond_without	apidocs		# disable API documentation

Summary:	Nautilus is a file manager for the GNOME desktop environment
Summary(pl.UTF-8):	Nautilus - powłoka GNOME i zarządca plików
Summary(pt_BR.UTF-8):	Nautilus é um gerenciador de arquivos para o GNOME
Name:		nautilus
Version:	3.28.0.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus/3.28/%{name}-%{version}.tar.xz
# Source0-md5:	48fb205089ea8e5d85d11285111af7cb
URL:		http://www.gnome.org/projects/nautilus/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exempi-devel >= 2.1.0
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gnome-autoar-devel >= 0.2.1
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	gsettings-desktop-schemas-devel >= 3.8.0
BuildRequires:	gtk+3-devel >= 3.22.26
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libexif-devel >= 1:0.6.20
BuildRequires:	libselinux-devel
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	meson >= 0.41.0
BuildRequires:	ninja
BuildRequires:	pango-devel >= 1:1.28.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tracker-devel >= 1.0.0
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.52.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exempi >= 2.1.0
Requires:	glib2 >= 1:2.56.0
Requires:	gnome-autoar >= 0.2.1
Requires:	gnome-desktop >= 3.2.0
Requires:	gsettings-desktop-schemas >= 3.8.0
Requires:	gvfs >= 1.16.0
Requires:	hicolor-icon-theme
Requires:	libexif >= 1:0.6.20
Requires:	libxml2 >= 1:2.7.8
Requires:	pango >= 1:1.28.3
Requires:	tracker >= 1.0.0
Provides:	gnome-volume-manager
Obsoletes:	eel
Obsoletes:	gnome-volume-manager
Obsoletes:	gstreamer-player-nautilus
Obsoletes:	nautilus-gtkhtml
Obsoletes:	nautilus-media
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l pl.UTF-8
GNU Nautilus jest programem do zarządzania plikami i graficzną powłoką
dla GNOME. Służy również bardzo dobrze jako przeglądarka stron WWW.

%description -l pt_BR.UTF-8
O nautilus é um excelente gerenciador de arquivos para o GNOME.

%package libs
Summary:	Nautilus libraries
Summary(pl.UTF-8):	Biblioteki Nautilusa
Group:		X11/Libraries
Requires:	glib2 >= 1:2.56.0
Requires:	gtk+3 >= 3.22.26

%description libs
Nautilus libraries.

%description libs -l pl.UTF-8
Biblioteki Nautilusa.

%package devel
Summary:	Libraries and include files for developing Nautilus components
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia komponentów dla Nautilusa
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos para desenvolvimento com o nautilus
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56.0
Requires:	gtk+3-devel >= 3.22.26
Requires:	libselinux-devel
Obsoletes:	eel-devel
Obsoletes:	nautils-static

%description devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe potrzebne do programowania.

%description devel -l pt_BR.UTF-8
Este pacote fornece os arquivos necessários para desenvolvimento
utilizando componentes do nautilus.

%package apidocs
Summary:	Nautilus API documentation
Summary(pl.UTF-8):	Dokumentacja API Nautilusa
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Nautilus API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Nautilusa.

%prep
%setup -q

%build
%meson build \
	-Dpackagekit=true \
	-Ddocs=%{__true_false apidocs}

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{io,ln}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/nautilus
%attr(755,root,root) %{_bindir}/nautilus-autorun-software
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-3.0
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-image-properties.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-sendto.so
%{_datadir}/metainfo/org.gnome.Nautilus.appdata.xml
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.service
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.xml
%{_desktopdir}/nautilus-autorun-software.desktop
%{_desktopdir}/org.gnome.Nautilus.desktop
%{_mandir}/man1/nautilus.1*
%{_datadir}/gnome-shell/search-providers/nautilus-search-provider.ini
%{_iconsdir}/hicolor/*/*/org.gnome.Nautilus.png
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Nautilus-symbolic.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnautilus-extension.so.1
%{_libdir}/girepository-1.0/Nautilus-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so
%{_includedir}/nautilus
%{_datadir}/gir-1.0/Nautilus-3.0.gir
%{_pkgconfigdir}/libnautilus-extension.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnautilus-extension
%endif
%changelog
* Fri Mar 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nautilus.git;a=log;h=master

* Fri Mar 16 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 735ebd4
- Update to 3.28.0.1

* Wed Nov 22 2017 Jan Rękorajski <baggins@pld-linux.org> f36e1b5
- up to 3.26.2

* Fri May 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a8c8d2b
- Update to 3.24.1

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> bf4c5db
- Update to 3.24.0

* Sat Dec 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3f4a3dc
- Update to 3.22.2

* Mon Oct 17 2016 Jan Rękorajski <baggins@pld-linux.org> 30599df
- remove unsupported 'ln' locale
- rel 2

* Sun Oct 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4cff3ba
- Fix source0 URL

* Sun Oct 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0d11ad7
- Update to 3.22.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3511179
- Update to 3.20.0

* Mon Jan 25 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 296cf2f
- Update to 3.18.5

* Tue Dec 29 2015 Łukasz Kieś <kiesiu@pld-linux.org> c050c8c
- updated to 3.18.4

* Sat Nov 14 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 2074cb1
- Update to 3.18.2

* Thu Oct 15 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 32e1f34
- Update to 3.18.1

* Tue Sep 29 2015 Łukasz Kieś <kiesiu@pld-linux.org> 9035082
- updated to 3.18.0

* Wed May 13 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 8c48fac
- Update to 3.16.2

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> b3bb83b
- Update to 3.16.1

* Thu Mar 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> ca89ead
- updated to 3.16.0

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> df865cb
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4bbb2ac
- updated gettext BR

* Sun Nov 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9cf2a2a
- Update to 3.14.2

